//----------------------------------------------------------------------
// terrain-textures:
//	0: textures/snow_sd/s_grass_ml03b_big.tga		textures/UJE_00_xmas/uje_grass_dense1.tga
//	1: textures/snow_sd/snow_muddy.tga
//	2: textures/snow_sd/mxrock4b_snow.tga
//	3: textures/snow_sd/snow_var02.tga
//	4: textures/snow_sd/snow_noisy.tga
//	5: textures/snow_sd/bigrock_rounded_faint.tga


//----------------------------------------------------------------------
// grass
models/mapobjects/plants_sd/grass_low
{
    surfaceparm trans
    surfaceparm pointlight

    cull disable

    distanceCull 256 1024 0.4

    {
        map models/mapobjects/plants_sd/grass_green1.tga
        alphaFunc GE128
        rgbGen exactVertex
        alphaGen vertex
    }
}

models/mapobjects/plants_sd/grassdryfoliage
{
    surfaceparm trans
    surfaceparm pointlight

    cull disable

    distanceCull 256 1024 0.4

    {
        map models/mapobjects/plants_sd/grass_dry3.tga
        alphaFunc GE128
        rgbGen exactVertex
        alphaGen vertex
    }
}

//----------------------------------------------------------------------

textures/UJE_00_xmas/ujeterrain_base
{
	q3map_lightmapaxis z
	q3map_lightmapmergable
	q3map_lightmapsize 512 512
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
//	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
}

//--

textures/UJE_00_xmas/ujeterrain_0
{
	q3map_baseshader textures/UJE_00_xmas/ujeterrain_base
	surfaceparm landmine
	surfaceparm snowssteps
	{
//		map textures/snow_sd/s_grass_ml03b_big.tga
		map textures/UJE_00_xmas/uje_grass_dense1.tga
		tcMod scale 1.75 1.75
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/UJE_00_xmas/ujeterrain_1
{
	q3map_baseshader textures/UJE_00_xmas/ujeterrain_base

	surfaceparm landmine
	surfaceparm snowsteps

	q3map_foliage models/mapobjects/plants_sd/grassdryfoliage.md3 1.0 128 0.10 0

	{
		map textures/snow_sd/snow_muddy.tga
		tcMod scale 1.75 1.75
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/UJE_00_xmas/ujeterrain_2
{
	q3map_baseshader textures/UJE_00_xmas/ujeterrain_base
	surfaceparm landmine
	surfaceparm snowsteps

	q3map_foliage models/mapobjects/plants_sd/grass_low.md3 1.0 128 0.10 0

	{
		map textures/snow_sd/mxrock4b_snow.tga
		tcMod scale 1.75 1.75
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/UJE_00_xmas/ujeterrain_3
{
	q3map_baseshader textures/UJE_00_xmas/ujeterrain_base
	surfaceparm landmine
	surfaceparm snowsteps
	{
		map textures/snow_sd/snow_var02.tga
		tcMod scale 1.75 1.75
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/UJE_00_xmas/ujeterrain_4
{
	q3map_baseshader textures/UJE_00_xmas/ujeterrain_base
	surfaceparm snowsteps
	{
		map textures/snow_sd/snow_noisy.tga
		tcMod scale 1.0 1.0
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/UJE_00_xmas/ujeterrain_5
{
	q3map_baseshader textures/UJE_00_xmas/ujeterrain_base
	//q3map_lightimage textures/UJE_00_xmas/rock_grayvar_bump.tga
	surfaceparm gravelsteps
	{
		map textures/snow_sd/bigrock_rounded_faint.tga
		tcMod scale 0.25 0.25
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}


//----------------------------------------------------------------------
// blends

textures/UJE_00_xmas/ujeterrain_0to1
{
	q3map_baseshader textures/UJE_00_xmas/ujeterrain_base
	surfaceparm landmine
	{
//		map textures/snow_sd/s_grass_ml03b_big.tga
		map textures/UJE_00_xmas/uje_grass_dense1.tga
		tcMod scale 1.75 1.75
	}
	{
		map textures/snow_sd/snow_muddy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 1.75 1.75
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/UJE_00_xmas/ujeterrain_0to2
{
	q3map_baseshader textures/UJE_00_xmas/ujeterrain_base
	surfaceparm landmine
	{
//		map textures/snow_sd/s_grass_ml03b_big.tga
		map textures/UJE_00_xmas/uje_grass_dense1.tga
		tcMod scale 1.75 1.75
	}
	{
		map textures/snow_sd/mxrock4b_snow.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 1.75 1.75
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/UJE_00_xmas/ujeterrain_0to3
{
	q3map_baseshader textures/UJE_00_xmas/ujeterrain_base
	surfaceparm landmine
	{
//		map textures/snow_sd/s_grass_ml03b_big.tga
		map textures/UJE_00_xmas/uje_grass_dense1.tga
		tcMod scale 1.75 1.75
	}
	{
		map textures/snow_sd/snow_var02.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 1.75 1.75
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/UJE_00_xmas/ujeterrain_0to4
{
	q3map_baseshader textures/UJE_00_xmas/ujeterrain_base
	{
//		map textures/snow_sd/s_grass_ml03b_big.tga
		map textures/UJE_00_xmas/uje_grass_dense1.tga
		tcMod scale 1.75 1.75
	}
	{
		map textures/snow_sd/snow_noisy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 1.0 1.0
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/UJE_00_xmas/ujeterrain_0to5
{
	q3map_baseshader textures/UJE_00_xmas/ujeterrain_base
	{
//		map textures/snow_sd/s_grass_ml03b_big.tga
		map textures/UJE_00_xmas/uje_grass_dense1.tga
		tcMod scale 1.75 1.75
	}
	{
		map textures/snow_sd/bigrock_rounded_faint.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 0.25 0.25
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

//----------------------------------------------------------------------

textures/UJE_00_xmas/ujeterrain_1to2
{
	q3map_baseshader textures/UJE_00_xmas/ujeterrain_base
	surfaceparm landmine
	{
		map textures/snow_sd/snow_muddy.tga
		tcMod scale 1.75 1.75
	}
	{
		map textures/snow_sd/mxrock4b_snow.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 1.75 1.75
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/UJE_00_xmas/ujeterrain_1to3
{
	q3map_baseshader textures/UJE_00_xmas/ujeterrain_base
	surfaceparm landmine
	{
		map textures/snow_sd/snow_muddy.tga
		tcMod scale 1.75 1.75
	}
	{
		map textures/snow_sd/snow_var02.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 1.75 1.75
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/UJE_00_xmas/ujeterrain_1to4
{
	q3map_baseshader textures/UJE_00_xmas/ujeterrain_base
	{
		map textures/snow_sd/snow_muddy.tga
		tcMod scale 1.75 1.75
	}
	{
		map textures/snow_sd/snow_noisy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 1.0 1.0
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/UJE_00_xmas/ujeterrain_1to5
{
	q3map_baseshader textures/UJE_00_xmas/ujeterrain_base
	{
		map textures/snow_sd/snow_muddy.tga
		tcMod scale 1.75 1.75
	}
	{
		map textures/snow_sd/bigrock_rounded_faint.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 0.25 0.25
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

//----------------------------------------------------------------------

textures/UJE_00_xmas/ujeterrain_2to3
{
	q3map_baseshader textures/UJE_00_xmas/ujeterrain_base
	surfaceparm landmine
	{
		map textures/snow_sd/mxrock4b_snow.tga
		tcMod scale 1.75 1.75
	}
	{
		map textures/snow_sd/snow_var02.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 1.75 1.75
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/UJE_00_xmas/ujeterrain_2to4
{
	q3map_baseshader textures/UJE_00_xmas/ujeterrain_base
	{
		map textures/snow_sd/mxrock4b_snow.tga
		tcMod scale 1.75 1.75
	}
	{
		map textures/snow_sd/snow_noisy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 1.0 1.0
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/UJE_00_xmas/ujeterrain_2to5
{
	q3map_baseshader textures/UJE_00_xmas/ujeterrain_base
	{
		map textures/snow_sd/mxrock4b_snow.tga
		tcMod scale 1.75 1.75
	}
	{
		map textures/snow_sd/bigrock_rounded_faint.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 0.25 0.25
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

//----------------------------------------------------------------------

textures/UJE_00_xmas/ujeterrain_3to4
{
	q3map_baseshader textures/UJE_00_xmas/ujeterrain_base
	{
		map textures/snow_sd/snow_var02.tga
		tcMod scale 1.75 1.75
	}
	{
		map textures/snow_sd/snow_noisy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 1.0 1.0
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/UJE_00_xmas/ujeterrain_3to5
{
	q3map_baseshader textures/UJE_00_xmas/ujeterrain_base
	{
		map textures/snow_sd/snow_var02.tga
		tcMod scale 1.75 1.75
	}
	{
		map textures/snow_sd/bigrock_rounded_faint.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 0.25 0.25
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

//----------------------------------------------------------------------

textures/UJE_00_xmas/ujeterrain_4to5
{
	q3map_baseshader textures/UJE_00_xmas/ujeterrain_base
	{
		map textures/snow_sd/snow_noisy.tga
		tcMod scale 1.0 1.0
	}
	{
		map textures/snow_sd/bigrock_rounded_faint.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 0.25 0.25
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}
